
QGIS Application - Bug report #21170

Crash Report QGIS 7.5

2019-02-05 06:23 AM - D J

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28988

Description

User Feedback

crash report upon trying to start QGIS 7.5 Desktop.

Is this just a configuration issue?

Report Details

Crash ID: 465816b7ddf6d9f09a5fc4ab526d4247b3f7ddb4

Stack Trace

PyInit__conv :

PyInit__conv :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :
PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyException_SetTraceback :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :
PyImport_Import :

PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallDict :

PyException_SetTraceback :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :
PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyObject_CallMethodIdObjArgs :

PyUnicode_FindChar :

PyImport_ImportModuleLevelObject :

PyDict_GetItemString :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyErr_NoMemory :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

QgsPythonUtilsImpl::evalString qgspythonutilsimpl.cpp:523

QgsPythonUtilsImpl::startPlugin qgspythonutilsimpl.cpp:616

QgsPluginRegistry::loadPythonPlugin qgspluginregistry.cpp:309

QgsPluginRegistry::restoreSessionPlugins qgspluginregistry.cpp:569

QgisApp::QgisApp qgisapp.cpp:1196

main main.cpp:1305

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:bfa93458e5

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-02-07 11:42 AM - Giovanni Manghi

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Status changed from Open to Feedback

- Category changed from Any to Unknown

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to 3.4.4

- Priority changed from Normal to High
Wrong tracker.

There is no such thing as QGIS 7.5 (did you meant 3.5?)

What are the necessary steps to replicate the crash?

have you tried with a new/clean profile (no 3rd party plugins installed)?

#2 - 2019-02-24 10:51 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
